IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/42
Addresses2^86
/64 networks4,194,304
- Network
fe80:c25a::/42- First address
fe80:c25a::- Last address
fe80:c25a:3f:ffff:ffff:ffff:ffff:ffff- Addresses
- 77,371,252,455,336,267,181,195,264 (2^86)
- /64 networks (LANs)
- 4,194,304
- Full form
fe80:c25a:0000:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zones
0.0.0.a.5.2.c.0.8.e.f.ip6.arpa1.0.0.a.5.2.c.0.8.e.f.ip6.arpa2.0.0.a.5.2.c.0.8.e.f.ip6.arpa3.0.0.a.5.2.c.0.8.e.f.ip6.arpa
/42 is not on a 4-bit boundary, so it takes 4 /44 zones.
Split into smaller subnets
fe80:c25a::/42 makes 16,384 subnets of /56; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a::/56 | fe80:c25a:0:ff:ffff:ffff:ffff:ffff |
| 2 | fe80:c25a:0:100::/56 | fe80:c25a:0:1ff:ffff:ffff:ffff:ffff |
| 3 | fe80:c25a:0:200::/56 | fe80:c25a:0:2ff:ffff:ffff:ffff:ffff |
| 4 | fe80:c25a:0:300::/56 | fe80:c25a:0:3ff:ffff:ffff:ffff:ffff |
| 5 | fe80:c25a:0:400::/56 | fe80:c25a:0:4ff:ffff:ffff:ffff:ffff |
| 6 | fe80:c25a:0:500::/56 | fe80:c25a:0:5ff:ffff:ffff:ffff:ffff |
| 7 | fe80:c25a:0:600::/56 | fe80:c25a:0:6ff:ffff:ffff:ffff:ffff |
| 8 | fe80:c25a:0:700::/56 | fe80:c25a:0:7ff:ffff:ffff:ffff:ffff |
| 9 | fe80:c25a:0:800::/56 | fe80:c25a:0:8ff:ffff:ffff:ffff:ffff |
| 10 | fe80:c25a:0:900::/56 | fe80:c25a:0:9ff:ffff:ffff:ffff:ffff |
| 11 | fe80:c25a:0:a00::/56 | fe80:c25a:0:aff:ffff:ffff:ffff:ffff |
| 12 | fe80:c25a:0:b00::/56 | fe80:c25a:0:bff:ffff:ffff:ffff:ffff |
| 13 | fe80:c25a:0:c00::/56 | fe80:c25a:0:cff:ffff:ffff:ffff:ffff |
| 14 | fe80:c25a:0:d00::/56 | fe80:c25a:0:dff:ffff:ffff:ffff:ffff |
| 15 | fe80:c25a:0:e00::/56 | fe80:c25a:0:eff:ffff:ffff:ffff:ffff |
| 16 | fe80:c25a:0:f00::/56 | fe80:c25a:0:fff:ffff:ffff:ffff:ffff |
| 17 | fe80:c25a:0:1000::/56 | fe80:c25a:0:10ff:ffff:ffff:ffff:ffff |
| 18 | fe80:c25a:0:1100::/56 | fe80:c25a:0:11ff:ffff:ffff:ffff:ffff |
| 19 | fe80:c25a:0:1200::/56 | fe80:c25a:0:12ff:ffff:ffff:ffff:ffff |
| 20 | fe80:c25a:0:1300::/56 | fe80:c25a:0:13ff:ffff:ffff:ffff:ffff |
| 21 | fe80:c25a:0:1400::/56 | fe80:c25a:0:14ff:ffff:ffff:ffff:ffff |
| 22 | fe80:c25a:0:1500::/56 | fe80:c25a:0:15ff:ffff:ffff:ffff:ffff |
| 23 | fe80:c25a:0:1600::/56 | fe80:c25a:0:16ff:ffff:ffff:ffff:ffff |
| 24 | fe80:c25a:0:1700::/56 | fe80:c25a:0:17ff:ffff:ffff:ffff:ffff |
| 25 | fe80:c25a:0:1800::/56 | fe80:c25a:0:18ff:ffff:ffff:ffff:ffff |
| 26 | fe80:c25a:0:1900::/56 | fe80:c25a:0:19ff:ffff:ffff:ffff:ffff |
| 27 | fe80:c25a:0:1a00::/56 | fe80:c25a:0:1aff:ffff:ffff:ffff:ffff |
| 28 | fe80:c25a:0:1b00::/56 | fe80:c25a:0:1bff:ffff:ffff:ffff:ffff |
| 29 | fe80:c25a:0:1c00::/56 | fe80:c25a:0:1cff:ffff:ffff:ffff:ffff |
| 30 | fe80:c25a:0:1d00::/56 | fe80:c25a:0:1dff:ffff:ffff:ffff:ffff |
| 31 | fe80:c25a:0:1e00::/56 | fe80:c25a:0:1eff:ffff:ffff:ffff:ffff |
| 32 | fe80:c25a:0:1f00::/56 | fe80:c25a:0:1fff:ffff:ffff:ffff:ffff |
| 33 | fe80:c25a:0:2000::/56 | fe80:c25a:0:20ff:ffff:ffff:ffff:ffff |
| 34 | fe80:c25a:0:2100::/56 | fe80:c25a:0:21ff:ffff:ffff:ffff:ffff |
| 35 | fe80:c25a:0:2200::/56 | fe80:c25a:0:22ff:ffff:ffff:ffff:ffff |
| 36 | fe80:c25a:0:2300::/56 | fe80:c25a:0:23ff:ffff:ffff:ffff:ffff |
| 37 | fe80:c25a:0:2400::/56 | fe80:c25a:0:24ff:ffff:ffff:ffff:ffff |
| 38 | fe80:c25a:0:2500::/56 | fe80:c25a:0:25ff:ffff:ffff:ffff:ffff |
| 39 | fe80:c25a:0:2600::/56 | fe80:c25a:0:26ff:ffff:ffff:ffff:ffff |
| 40 | fe80:c25a:0:2700::/56 | fe80:c25a:0:27ff:ffff:ffff:ffff:ffff |
| 41 | fe80:c25a:0:2800::/56 | fe80:c25a:0:28ff:ffff:ffff:ffff:ffff |
| 42 | fe80:c25a:0:2900::/56 | fe80:c25a:0:29ff:ffff:ffff:ffff:ffff |
| 43 | fe80:c25a:0:2a00::/56 | fe80:c25a:0:2aff:ffff:ffff:ffff:ffff |
| 44 | fe80:c25a:0:2b00::/56 | fe80:c25a:0:2bff:ffff:ffff:ffff:ffff |
| 45 | fe80:c25a:0:2c00::/56 | fe80:c25a:0:2cff:ffff:ffff:ffff:ffff |
| 46 | fe80:c25a:0:2d00::/56 | fe80:c25a:0:2dff:ffff:ffff:ffff:ffff |
| 47 | fe80:c25a:0:2e00::/56 | fe80:c25a:0:2eff:ffff:ffff:ffff:ffff |
| 48 | fe80:c25a:0:2f00::/56 | fe80:c25a:0:2fff:ffff:ffff:ffff:ffff |
| 49 | fe80:c25a:0:3000::/56 | fe80:c25a:0:30ff:ffff:ffff:ffff:ffff |
| 50 | fe80:c25a:0:3100::/56 | fe80:c25a:0:31ff:ffff:ffff:ffff:ffff |
| 51 | fe80:c25a:0:3200::/56 | fe80:c25a:0:32ff:ffff:ffff:ffff:ffff |
| 52 | fe80:c25a:0:3300::/56 | fe80:c25a:0:33ff:ffff:ffff:ffff:ffff |
| 53 | fe80:c25a:0:3400::/56 | fe80:c25a:0:34ff:ffff:ffff:ffff:ffff |
| 54 | fe80:c25a:0:3500::/56 | fe80:c25a:0:35ff:ffff:ffff:ffff:ffff |
| 55 | fe80:c25a:0:3600::/56 | fe80:c25a:0:36ff:ffff:ffff:ffff:ffff |
| 56 | fe80:c25a:0:3700::/56 | fe80:c25a:0:37ff:ffff:ffff:ffff:ffff |
| 57 | fe80:c25a:0:3800::/56 | fe80:c25a:0:38ff:ffff:ffff:ffff:ffff |
| 58 | fe80:c25a:0:3900::/56 | fe80:c25a:0:39ff:ffff:ffff:ffff:ffff |
| 59 | fe80:c25a:0:3a00::/56 | fe80:c25a:0:3aff:ffff:ffff:ffff:ffff |
| 60 | fe80:c25a:0:3b00::/56 | fe80:c25a:0:3bff:ffff:ffff:ffff:ffff |
| 61 | fe80:c25a:0:3c00::/56 | fe80:c25a:0:3cff:ffff:ffff:ffff:ffff |
| 62 | fe80:c25a:0:3d00::/56 | fe80:c25a:0:3dff:ffff:ffff:ffff:ffff |
| 63 | fe80:c25a:0:3e00::/56 | fe80:c25a:0:3eff:ffff:ffff:ffff:ffff |
| 64 | fe80:c25a:0:3f00::/56 | fe80:c25a:0:3fff:ffff:ffff:ffff:ffff |
| 65 | fe80:c25a:0:4000::/56 | fe80:c25a:0:40ff:ffff:ffff:ffff:ffff |
| 66 | fe80:c25a:0:4100::/56 | fe80:c25a:0:41ff:ffff:ffff:ffff:ffff |
| 67 | fe80:c25a:0:4200::/56 | fe80:c25a:0:42ff:ffff:ffff:ffff:ffff |
| 68 | fe80:c25a:0:4300::/56 | fe80:c25a:0:43ff:ffff:ffff:ffff:ffff |
| 69 | fe80:c25a:0:4400::/56 | fe80:c25a:0:44ff:ffff:ffff:ffff:ffff |
| 70 | fe80:c25a:0:4500::/56 | fe80:c25a:0:45ff:ffff:ffff:ffff:ffff |
| 71 | fe80:c25a:0:4600::/56 | fe80:c25a:0:46ff:ffff:ffff:ffff:ffff |
| 72 | fe80:c25a:0:4700::/56 | fe80:c25a:0:47ff:ffff:ffff:ffff:ffff |
| 73 | fe80:c25a:0:4800::/56 | fe80:c25a:0:48ff:ffff:ffff:ffff:ffff |
| 74 | fe80:c25a:0:4900::/56 | fe80:c25a:0:49ff:ffff:ffff:ffff:ffff |
| 75 | fe80:c25a:0:4a00::/56 | fe80:c25a:0:4aff:ffff:ffff:ffff:ffff |
| 76 | fe80:c25a:0:4b00::/56 | fe80:c25a:0:4bff:ffff:ffff:ffff:ffff |
| 77 | fe80:c25a:0:4c00::/56 | fe80:c25a:0:4cff:ffff:ffff:ffff:ffff |
| 78 | fe80:c25a:0:4d00::/56 | fe80:c25a:0:4dff:ffff:ffff:ffff:ffff |
| 79 | fe80:c25a:0:4e00::/56 | fe80:c25a:0:4eff:ffff:ffff:ffff:ffff |
| 80 | fe80:c25a:0:4f00::/56 | fe80:c25a:0:4fff:ffff:ffff:ffff:ffff |
| 81 | fe80:c25a:0:5000::/56 | fe80:c25a:0:50ff:ffff:ffff:ffff:ffff |
| 82 | fe80:c25a:0:5100::/56 | fe80:c25a:0:51ff:ffff:ffff:ffff:ffff |
| 83 | fe80:c25a:0:5200::/56 | fe80:c25a:0:52ff:ffff:ffff:ffff:ffff |
| 84 | fe80:c25a:0:5300::/56 | fe80:c25a:0:53ff:ffff:ffff:ffff:ffff |
| 85 | fe80:c25a:0:5400::/56 | fe80:c25a:0:54ff:ffff:ffff:ffff:ffff |
| 86 | fe80:c25a:0:5500::/56 | fe80:c25a:0:55ff:ffff:ffff:ffff:ffff |
| 87 | fe80:c25a:0:5600::/56 | fe80:c25a:0:56ff:ffff:ffff:ffff:ffff |
| 88 | fe80:c25a:0:5700::/56 | fe80:c25a:0:57ff:ffff:ffff:ffff:ffff |
| 89 | fe80:c25a:0:5800::/56 | fe80:c25a:0:58ff:ffff:ffff:ffff:ffff |
| 90 | fe80:c25a:0:5900::/56 | fe80:c25a:0:59ff:ffff:ffff:ffff:ffff |
| 91 | fe80:c25a:0:5a00::/56 | fe80:c25a:0:5aff:ffff:ffff:ffff:ffff |
| 92 | fe80:c25a:0:5b00::/56 | fe80:c25a:0:5bff:ffff:ffff:ffff:ffff |
| 93 | fe80:c25a:0:5c00::/56 | fe80:c25a:0:5cff:ffff:ffff:ffff:ffff |
| 94 | fe80:c25a:0:5d00::/56 | fe80:c25a:0:5dff:ffff:ffff:ffff:ffff |
| 95 | fe80:c25a:0:5e00::/56 | fe80:c25a:0:5eff:ffff:ffff:ffff:ffff |
| 96 | fe80:c25a:0:5f00::/56 | fe80:c25a:0:5fff:ffff:ffff:ffff:ffff |
| 97 | fe80:c25a:0:6000::/56 | fe80:c25a:0:60ff:ffff:ffff:ffff:ffff |
| 98 | fe80:c25a:0:6100::/56 | fe80:c25a:0:61ff:ffff:ffff:ffff:ffff |
| 99 | fe80:c25a:0:6200::/56 | fe80:c25a:0:62ff:ffff:ffff:ffff:ffff |
| 100 | fe80:c25a:0:6300::/56 | fe80:c25a:0:63ff:ffff:ffff:ffff:ffff |
| 101 | fe80:c25a:0:6400::/56 | fe80:c25a:0:64ff:ffff:ffff:ffff:ffff |
| 102 | fe80:c25a:0:6500::/56 | fe80:c25a:0:65ff:ffff:ffff:ffff:ffff |
| 103 | fe80:c25a:0:6600::/56 | fe80:c25a:0:66ff:ffff:ffff:ffff:ffff |
| 104 | fe80:c25a:0:6700::/56 | fe80:c25a:0:67ff:ffff:ffff:ffff:ffff |
| 105 | fe80:c25a:0:6800::/56 | fe80:c25a:0:68ff:ffff:ffff:ffff:ffff |
| 106 | fe80:c25a:0:6900::/56 | fe80:c25a:0:69ff:ffff:ffff:ffff:ffff |
| 107 | fe80:c25a:0:6a00::/56 | fe80:c25a:0:6aff:ffff:ffff:ffff:ffff |
| 108 | fe80:c25a:0:6b00::/56 | fe80:c25a:0:6bff:ffff:ffff:ffff:ffff |
| 109 | fe80:c25a:0:6c00::/56 | fe80:c25a:0:6cff:ffff:ffff:ffff:ffff |
| 110 | fe80:c25a:0:6d00::/56 | fe80:c25a:0:6dff:ffff:ffff:ffff:ffff |
| 111 | fe80:c25a:0:6e00::/56 | fe80:c25a:0:6eff:ffff:ffff:ffff:ffff |
| 112 | fe80:c25a:0:6f00::/56 | fe80:c25a:0:6fff:ffff:ffff:ffff:ffff |
| 113 | fe80:c25a:0:7000::/56 | fe80:c25a:0:70ff:ffff:ffff:ffff:ffff |
| 114 | fe80:c25a:0:7100::/56 | fe80:c25a:0:71ff:ffff:ffff:ffff:ffff |
| 115 | fe80:c25a:0:7200::/56 | fe80:c25a:0:72ff:ffff:ffff:ffff:ffff |
| 116 | fe80:c25a:0:7300::/56 | fe80:c25a:0:73ff:ffff:ffff:ffff:ffff |
| 117 | fe80:c25a:0:7400::/56 | fe80:c25a:0:74ff:ffff:ffff:ffff:ffff |
| 118 | fe80:c25a:0:7500::/56 | fe80:c25a:0:75ff:ffff:ffff:ffff:ffff |
| 119 | fe80:c25a:0:7600::/56 | fe80:c25a:0:76ff:ffff:ffff:ffff:ffff |
| 120 | fe80:c25a:0:7700::/56 | fe80:c25a:0:77ff:ffff:ffff:ffff:ffff |
| 121 | fe80:c25a:0:7800::/56 | fe80:c25a:0:78ff:ffff:ffff:ffff:ffff |
| 122 | fe80:c25a:0:7900::/56 | fe80:c25a:0:79ff:ffff:ffff:ffff:ffff |
| 123 | fe80:c25a:0:7a00::/56 | fe80:c25a:0:7aff:ffff:ffff:ffff:ffff |
| 124 | fe80:c25a:0:7b00::/56 | fe80:c25a:0:7bff:ffff:ffff:ffff:ffff |
| 125 | fe80:c25a:0:7c00::/56 | fe80:c25a:0:7cff:ffff:ffff:ffff:ffff |
| 126 | fe80:c25a:0:7d00::/56 | fe80:c25a:0:7dff:ffff:ffff:ffff:ffff |
| 127 | fe80:c25a:0:7e00::/56 | fe80:c25a:0:7eff:ffff:ffff:ffff:ffff |
| 128 | fe80:c25a:0:7f00::/56 | fe80:c25a:0:7fff:ffff:ffff:ffff:ffff |
| 129 | fe80:c25a:0:8000::/56 | fe80:c25a:0:80ff:ffff:ffff:ffff:ffff |
| 130 | fe80:c25a:0:8100::/56 | fe80:c25a:0:81ff:ffff:ffff:ffff:ffff |
| 131 | fe80:c25a:0:8200::/56 | fe80:c25a:0:82ff:ffff:ffff:ffff:ffff |
| 132 | fe80:c25a:0:8300::/56 | fe80:c25a:0:83ff:ffff:ffff:ffff:ffff |
| 133 | fe80:c25a:0:8400::/56 | fe80:c25a:0:84ff:ffff:ffff:ffff:ffff |
| 134 | fe80:c25a:0:8500::/56 | fe80:c25a:0:85ff:ffff:ffff:ffff:ffff |
| 135 | fe80:c25a:0:8600::/56 | fe80:c25a:0:86ff:ffff:ffff:ffff:ffff |
| 136 | fe80:c25a:0:8700::/56 | fe80:c25a:0:87ff:ffff:ffff:ffff:ffff |
| 137 | fe80:c25a:0:8800::/56 | fe80:c25a:0:88ff:ffff:ffff:ffff:ffff |
| 138 | fe80:c25a:0:8900::/56 | fe80:c25a:0:89ff:ffff:ffff:ffff:ffff |
| 139 | fe80:c25a:0:8a00::/56 | fe80:c25a:0:8aff:ffff:ffff:ffff:ffff |
| 140 | fe80:c25a:0:8b00::/56 | fe80:c25a:0:8bff:ffff:ffff:ffff:ffff |
| 141 | fe80:c25a:0:8c00::/56 | fe80:c25a:0:8cff:ffff:ffff:ffff:ffff |
| 142 | fe80:c25a:0:8d00::/56 | fe80:c25a:0:8dff:ffff:ffff:ffff:ffff |
| 143 | fe80:c25a:0:8e00::/56 | fe80:c25a:0:8eff:ffff:ffff:ffff:ffff |
| 144 | fe80:c25a:0:8f00::/56 | fe80:c25a:0:8fff:ffff:ffff:ffff:ffff |
| 145 | fe80:c25a:0:9000::/56 | fe80:c25a:0:90ff:ffff:ffff:ffff:ffff |
| 146 | fe80:c25a:0:9100::/56 | fe80:c25a:0:91ff:ffff:ffff:ffff:ffff |
| 147 | fe80:c25a:0:9200::/56 | fe80:c25a:0:92ff:ffff:ffff:ffff:ffff |
| 148 | fe80:c25a:0:9300::/56 | fe80:c25a:0:93ff:ffff:ffff:ffff:ffff |
| 149 | fe80:c25a:0:9400::/56 | fe80:c25a:0:94ff:ffff:ffff:ffff:ffff |
| 150 | fe80:c25a:0:9500::/56 | fe80:c25a:0:95ff:ffff:ffff:ffff:ffff |
| 151 | fe80:c25a:0:9600::/56 | fe80:c25a:0:96ff:ffff:ffff:ffff:ffff |
| 152 | fe80:c25a:0:9700::/56 | fe80:c25a:0:97ff:ffff:ffff:ffff:ffff |
| 153 | fe80:c25a:0:9800::/56 | fe80:c25a:0:98ff:ffff:ffff:ffff:ffff |
| 154 | fe80:c25a:0:9900::/56 | fe80:c25a:0:99ff:ffff:ffff:ffff:ffff |
| 155 | fe80:c25a:0:9a00::/56 | fe80:c25a:0:9aff:ffff:ffff:ffff:ffff |
| 156 | fe80:c25a:0:9b00::/56 | fe80:c25a:0:9bff:ffff:ffff:ffff:ffff |
| 157 | fe80:c25a:0:9c00::/56 | fe80:c25a:0:9cff:ffff:ffff:ffff:ffff |
| 158 | fe80:c25a:0:9d00::/56 | fe80:c25a:0:9dff:ffff:ffff:ffff:ffff |
| 159 | fe80:c25a:0:9e00::/56 | fe80:c25a:0:9eff:ffff:ffff:ffff:ffff |
| 160 | fe80:c25a:0:9f00::/56 | fe80:c25a:0:9fff:ffff:ffff:ffff:ffff |
| 161 | fe80:c25a:0:a000::/56 | fe80:c25a:0:a0ff:ffff:ffff:ffff:ffff |
| 162 | fe80:c25a:0:a100::/56 | fe80:c25a:0:a1ff:ffff:ffff:ffff:ffff |
| 163 | fe80:c25a:0:a200::/56 | fe80:c25a:0:a2ff:ffff:ffff:ffff:ffff |
| 164 | fe80:c25a:0:a300::/56 | fe80:c25a:0:a3ff:ffff:ffff:ffff:ffff |
| 165 | fe80:c25a:0:a400::/56 | fe80:c25a:0:a4ff:ffff:ffff:ffff:ffff |
| 166 | fe80:c25a:0:a500::/56 | fe80:c25a:0:a5ff:ffff:ffff:ffff:ffff |
| 167 | fe80:c25a:0:a600::/56 | fe80:c25a:0:a6ff:ffff:ffff:ffff:ffff |
| 168 | fe80:c25a:0:a700::/56 | fe80:c25a:0:a7ff:ffff:ffff:ffff:ffff |
| 169 | fe80:c25a:0:a800::/56 | fe80:c25a:0:a8ff:ffff:ffff:ffff:ffff |
| 170 | fe80:c25a:0:a900::/56 | fe80:c25a:0:a9ff:ffff:ffff:ffff:ffff |
| 171 | fe80:c25a:0:aa00::/56 | fe80:c25a:0:aaff:ffff:ffff:ffff:ffff |
| 172 | fe80:c25a:0:ab00::/56 | fe80:c25a:0:abff:ffff:ffff:ffff:ffff |
| 173 | fe80:c25a:0:ac00::/56 | fe80:c25a:0:acff:ffff:ffff:ffff:ffff |
| 174 | fe80:c25a:0:ad00::/56 | fe80:c25a:0:adff:ffff:ffff:ffff:ffff |
| 175 | fe80:c25a:0:ae00::/56 | fe80:c25a:0:aeff:ffff:ffff:ffff:ffff |
| 176 | fe80:c25a:0:af00::/56 | fe80:c25a:0:afff:ffff:ffff:ffff:ffff |
| 177 | fe80:c25a:0:b000::/56 | fe80:c25a:0:b0ff:ffff:ffff:ffff:ffff |
| 178 | fe80:c25a:0:b100::/56 | fe80:c25a:0:b1ff:ffff:ffff:ffff:ffff |
| 179 | fe80:c25a:0:b200::/56 | fe80:c25a:0:b2ff:ffff:ffff:ffff:ffff |
| 180 | fe80:c25a:0:b300::/56 | fe80:c25a:0:b3ff:ffff:ffff:ffff:ffff |
| 181 | fe80:c25a:0:b400::/56 | fe80:c25a:0:b4ff:ffff:ffff:ffff:ffff |
| 182 | fe80:c25a:0:b500::/56 | fe80:c25a:0:b5ff:ffff:ffff:ffff:ffff |
| 183 | fe80:c25a:0:b600::/56 | fe80:c25a:0:b6ff:ffff:ffff:ffff:ffff |
| 184 | fe80:c25a:0:b700::/56 | fe80:c25a:0:b7ff:ffff:ffff:ffff:ffff |
| 185 | fe80:c25a:0:b800::/56 | fe80:c25a:0:b8ff:ffff:ffff:ffff:ffff |
| 186 | fe80:c25a:0:b900::/56 | fe80:c25a:0:b9ff:ffff:ffff:ffff:ffff |
| 187 | fe80:c25a:0:ba00::/56 | fe80:c25a:0:baff:ffff:ffff:ffff:ffff |
| 188 | fe80:c25a:0:bb00::/56 | fe80:c25a:0:bbff:ffff:ffff:ffff:ffff |
| 189 | fe80:c25a:0:bc00::/56 | fe80:c25a:0:bcff:ffff:ffff:ffff:ffff |
| 190 | fe80:c25a:0:bd00::/56 | fe80:c25a:0:bdff:ffff:ffff:ffff:ffff |
| 191 | fe80:c25a:0:be00::/56 | fe80:c25a:0:beff:ffff:ffff:ffff:ffff |
| 192 | fe80:c25a:0:bf00::/56 | fe80:c25a:0:bfff:ffff:ffff:ffff:ffff |
| 193 | fe80:c25a:0:c000::/56 | fe80:c25a:0:c0ff:ffff:ffff:ffff:ffff |
| 194 | fe80:c25a:0:c100::/56 | fe80:c25a:0:c1ff:ffff:ffff:ffff:ffff |
| 195 | fe80:c25a:0:c200::/56 | fe80:c25a:0:c2ff:ffff:ffff:ffff:ffff |
| 196 | fe80:c25a:0:c300::/56 | fe80:c25a:0:c3ff:ffff:ffff:ffff:ffff |
| 197 | fe80:c25a:0:c400::/56 | fe80:c25a:0:c4ff:ffff:ffff:ffff:ffff |
| 198 | fe80:c25a:0:c500::/56 | fe80:c25a:0:c5ff:ffff:ffff:ffff:ffff |
| 199 | fe80:c25a:0:c600::/56 | fe80:c25a:0:c6ff:ffff:ffff:ffff:ffff |
| 200 | fe80:c25a:0:c700::/56 | fe80:c25a:0:c7ff:ffff:ffff:ffff:ffff |
| 201 | fe80:c25a:0:c800::/56 | fe80:c25a:0:c8ff:ffff:ffff:ffff:ffff |
| 202 | fe80:c25a:0:c900::/56 | fe80:c25a:0:c9ff:ffff:ffff:ffff:ffff |
| 203 | fe80:c25a:0:ca00::/56 | fe80:c25a:0:caff:ffff:ffff:ffff:ffff |
| 204 | fe80:c25a:0:cb00::/56 | fe80:c25a:0:cbff:ffff:ffff:ffff:ffff |
| 205 | fe80:c25a:0:cc00::/56 | fe80:c25a:0:ccff:ffff:ffff:ffff:ffff |
| 206 | fe80:c25a:0:cd00::/56 | fe80:c25a:0:cdff:ffff:ffff:ffff:ffff |
| 207 | fe80:c25a:0:ce00::/56 | fe80:c25a:0:ceff:ffff:ffff:ffff:ffff |
| 208 | fe80:c25a:0:cf00::/56 | fe80:c25a:0:cfff:ffff:ffff:ffff:ffff |
| 209 | fe80:c25a:0:d000::/56 | fe80:c25a:0:d0ff:ffff:ffff:ffff:ffff |
| 210 | fe80:c25a:0:d100::/56 | fe80:c25a:0:d1ff:ffff:ffff:ffff:ffff |
| 211 | fe80:c25a:0:d200::/56 | fe80:c25a:0:d2ff:ffff:ffff:ffff:ffff |
| 212 | fe80:c25a:0:d300::/56 | fe80:c25a:0:d3ff:ffff:ffff:ffff:ffff |
| 213 | fe80:c25a:0:d400::/56 | fe80:c25a:0:d4ff:ffff:ffff:ffff:ffff |
| 214 | fe80:c25a:0:d500::/56 | fe80:c25a:0:d5ff:ffff:ffff:ffff:ffff |
| 215 | fe80:c25a:0:d600::/56 | fe80:c25a:0:d6ff:ffff:ffff:ffff:ffff |
| 216 | fe80:c25a:0:d700::/56 | fe80:c25a:0:d7ff:ffff:ffff:ffff:ffff |
| 217 | fe80:c25a:0:d800::/56 | fe80:c25a:0:d8ff:ffff:ffff:ffff:ffff |
| 218 | fe80:c25a:0:d900::/56 | fe80:c25a:0:d9ff:ffff:ffff:ffff:ffff |
| 219 | fe80:c25a:0:da00::/56 | fe80:c25a:0:daff:ffff:ffff:ffff:ffff |
| 220 | fe80:c25a:0:db00::/56 | fe80:c25a:0:dbff:ffff:ffff:ffff:ffff |
| 221 | fe80:c25a:0:dc00::/56 | fe80:c25a:0:dcff:ffff:ffff:ffff:ffff |
| 222 | fe80:c25a:0:dd00::/56 | fe80:c25a:0:ddff:ffff:ffff:ffff:ffff |
| 223 | fe80:c25a:0:de00::/56 | fe80:c25a:0:deff:ffff:ffff:ffff:ffff |
| 224 | fe80:c25a:0:df00::/56 | fe80:c25a:0:dfff:ffff:ffff:ffff:ffff |
| 225 | fe80:c25a:0:e000::/56 | fe80:c25a:0:e0ff:ffff:ffff:ffff:ffff |
| 226 | fe80:c25a:0:e100::/56 | fe80:c25a:0:e1ff:ffff:ffff:ffff:ffff |
| 227 | fe80:c25a:0:e200::/56 | fe80:c25a:0:e2ff:ffff:ffff:ffff:ffff |
| 228 | fe80:c25a:0:e300::/56 | fe80:c25a:0:e3ff:ffff:ffff:ffff:ffff |
| 229 | fe80:c25a:0:e400::/56 | fe80:c25a:0:e4ff:ffff:ffff:ffff:ffff |
| 230 | fe80:c25a:0:e500::/56 | fe80:c25a:0:e5ff:ffff:ffff:ffff:ffff |
| 231 | fe80:c25a:0:e600::/56 | fe80:c25a:0:e6ff:ffff:ffff:ffff:ffff |
| 232 | fe80:c25a:0:e700::/56 | fe80:c25a:0:e7ff:ffff:ffff:ffff:ffff |
| 233 | fe80:c25a:0:e800::/56 | fe80:c25a:0:e8ff:ffff:ffff:ffff:ffff |
| 234 | fe80:c25a:0:e900::/56 | fe80:c25a:0:e9ff:ffff:ffff:ffff:ffff |
| 235 | fe80:c25a:0:ea00::/56 | fe80:c25a:0:eaff:ffff:ffff:ffff:ffff |
| 236 | fe80:c25a:0:eb00::/56 | fe80:c25a:0:ebff:ffff:ffff:ffff:ffff |
| 237 | fe80:c25a:0:ec00::/56 | fe80:c25a:0:ecff:ffff:ffff:ffff:ffff |
| 238 | fe80:c25a:0:ed00::/56 | fe80:c25a:0:edff:ffff:ffff:ffff:ffff |
| 239 | fe80:c25a:0:ee00::/56 | fe80:c25a:0:eeff:ffff:ffff:ffff:ffff |
| 240 | fe80:c25a:0:ef00::/56 | fe80:c25a:0:efff:ffff:ffff:ffff:ffff |
| 241 | fe80:c25a:0:f000::/56 | fe80:c25a:0:f0ff:ffff:ffff:ffff:ffff |
| 242 | fe80:c25a:0:f100::/56 | fe80:c25a:0:f1ff:ffff:ffff:ffff:ffff |
| 243 | fe80:c25a:0:f200::/56 | fe80:c25a:0:f2ff:ffff:ffff:ffff:ffff |
| 244 | fe80:c25a:0:f300::/56 | fe80:c25a:0:f3ff:ffff:ffff:ffff:ffff |
| 245 | fe80:c25a:0:f400::/56 | fe80:c25a:0:f4ff:ffff:ffff:ffff:ffff |
| 246 | fe80:c25a:0:f500::/56 | fe80:c25a:0:f5ff:ffff:ffff:ffff:ffff |
| 247 | fe80:c25a:0:f600::/56 | fe80:c25a:0:f6ff:ffff:ffff:ffff:ffff |
| 248 | fe80:c25a:0:f700::/56 | fe80:c25a:0:f7ff:ffff:ffff:ffff:ffff |
| 249 | fe80:c25a:0:f800::/56 | fe80:c25a:0:f8ff:ffff:ffff:ffff:ffff |
| 250 | fe80:c25a:0:f900::/56 | fe80:c25a:0:f9ff:ffff:ffff:ffff:ffff |
| 251 | fe80:c25a:0:fa00::/56 | fe80:c25a:0:faff:ffff:ffff:ffff:ffff |
| 252 | fe80:c25a:0:fb00::/56 | fe80:c25a:0:fbff:ffff:ffff:ffff:ffff |
| 253 | fe80:c25a:0:fc00::/56 | fe80:c25a:0:fcff:ffff:ffff:ffff:ffff |
| 254 | fe80:c25a:0:fd00::/56 | fe80:c25a:0:fdff:ffff:ffff:ffff:ffff |
| 255 | fe80:c25a:0:fe00::/56 | fe80:c25a:0:feff:ffff:ffff:ffff:ffff |
| 256 | fe80:c25a:0:ff00::/56 | fe80:c25a:0:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |